Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 736788 - app-emulation/virtualbox-modules-6.1.12-r1 : /.../SUPDrv-linux.c: error: cpu_tlbstate undeclared (first use in this function)
Summary: app-emulation/virtualbox-modules-6.1.12-r1 : /.../SUPDrv-linux.c: error: cpu_...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 3 votes (vote)
Assignee: Lars Wendler (Polynomial-C)
URL:
Whiteboard:
Keywords:
: 738536 740584 (view as bug list)
Depends on:
Blocks:
 
Reported: 2020-08-11 20:08 UTC by Toralf Förster
Modified: 2020-10-15 13:13 UTC (History)
8 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.66 KB, text/plain)
2020-08-11 20:08 UTC, Toralf Förster
Details
app-emulation:virtualbox-modules-6.1.12-r1:20200811-193725.log (app-emulation:virtualbox-modules-6.1.12-r1:20200811-193725.log,59.67 KB, text/plain)
2020-08-11 20:08 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,111.20 KB, text/plain)
2020-08-11 20:08 UTC, Toralf Förster
Details
environment (environment,90.63 KB, text/plain)
2020-08-11 20:08 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,15.25 KB, application/x-bzip)
2020-08-11 20:08 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,5.49 KB, application/x-bzip)
2020-08-11 20:09 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-08-11 20:08:40 UTC
                 from /var/tmp/portage/app-emulation/virtualbox-modules-6.1.12-r1/work/vboxdrv/linux/SUPDrv-linux.c:32:
/var/tmp/portage/app-emulation/virtualbox-modules-6.1.12-r1/work/vboxdrv/linux/SUPDrv-linux.c: In function ‘supdrvOSChangeCR4’:
/var/tmp/portage/app-emulation/virtualbox-modules-6.1.12-r1/work/vboxdrv/linux/SUPDrv-linux.c:760:38: error: ‘cpu_tlbstate’ undeclared (first use in this function); did you mean ‘cpuhp_state’?
  760 |     RTCCUINTREG uOld = this_cpu_read(cpu_tlbstate.cr4);
      |                                      ^~~~~~~~~~~~
./include/linux/percpu-defs.h:318:9: note: in definition of macro ‘__pcpu_size_call_return’

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_gnome_systemd-20200808-141819

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.3.1
 [2] x86_64-pc-linux-gnu-10.2.0 *
clang version 10.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/10/bin
/usr/lib/llvm/10
10.0.1
Available Python interpreters, in order of preference:
  [1]   python3.7
  [2]   python3.9 (fallback)
  [3]   python3.8 (fallback)
  [4]   python3.6 (fallback)
  [5]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.45.2 *
The following VMs are available for generation-2:
*)	IcedTea JDK 3.16.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm


  timestamp(s) of HEAD at this tinderbox image:
/var/db/repos/gentoo	Tue Aug 11 07:05:53 PM UTC 2020

emerge -qpvO app-emulation/virtualbox-modules
[ebuild  N    ] app-emulation/virtualbox-modules-6.1.12-r1  USE="-pax_kernel"
Comment 1 Toralf Förster gentoo-dev 2020-08-11 20:08:44 UTC
Created attachment 654192 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-08-11 20:08:46 UTC
Created attachment 654194 [details]
app-emulation:virtualbox-modules-6.1.12-r1:20200811-193725.log
Comment 3 Toralf Förster gentoo-dev 2020-08-11 20:08:51 UTC
Created attachment 654196 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-08-11 20:08:55 UTC
Created attachment 654198 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-08-11 20:08:58 UTC
Created attachment 654200 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-08-11 20:09:01 UTC
Created attachment 654202 [details]
logs.tbz2
Comment 7 Fulgurance 2020-08-17 14:22:15 UTC
I have the same problem. Any patches ?
Comment 8 gentoo@imrebuild.com 2020-08-17 15:18:19 UTC
(In reply to Fulgurance from comment #7)
> I have the same problem. Any patches ?

There is a possible solution from https://bugs.gentoo.org/735786, which needs to patch both app-emulation/virtualbox-modules and the kernel source. So maintainer probably can't add these patches to this package.

You can get patches from https://www.virtualbox.org/ticket/19644.

For app-emulation/virtualbox-modules, fixes_for_changes_in_cpu_tlbstate.patch, fixes_for_mm_struct.patch and fixes_for_module_memory.patch are needed.

For kernel source, local_patches is needed.

Then you need to re-compile kernel and app-emulation/virtualbox-modules.

I can confirm this works with gcc 10.2.0 and kernel 5.8.1.
Comment 9 Jeroen Roovers (RETIRED) gentoo-dev 2020-09-06 10:39:27 UTC
*** Bug 740584 has been marked as a duplicate of this bug. ***
Comment 10 Jeroen Roovers (RETIRED) gentoo-dev 2020-09-06 10:41:37 UTC
*** Bug 738536 has been marked as a duplicate of this bug. ***
Comment 11 Dimitar Kosev 2020-09-07 12:55:51 UTC
Fixed in the current release:

VirtualBox 6.1.14 (released September 04 2020)

This is a maintenance release. The following items were fixed and/or added:

    GUI: Fixes file name changes in the File location field when creating Virtual Hard Disk (bug #19286)
    VMM: Fixed running VMs which failed to start with VERR_NEM_MISSING_KERNEL_API_2 when Hyper-V is used (bug #19779 and #19804)
    Audio: fix regression in HDA emulation introduced in 6.1.0
    macOS host: Fixed webcam passthrough and audio input on Mojave and newer by requesting authorization from the user (bug #19758)
    macOS host: VBoxHeadless no longer able to start VMs (6.1.4/6.0.18 regression; bug #19706)
    Windows host: Fixes in serial port implementation
    Shared Clipboard: Fixed a potential crash when copying HTML data (6.1.2 regression; bug #19226)
    Linux host and guest: Linux kernel version 5.8 support
    EFI: Fixed reading ISO9660 filesystems on attached media (6.1.0 regression; bug #19682)
    EFI: Support booting from drives attached to the LsiLogic SCSI and SAS controller emulations